# Bug Report

## Summary

<!--- Provide a general summary of the issue in the Title above -->

## Expected behavior

<!--- Tell us what should happen -->

## Current behavior

<!--- Tell us what happens instead of the expected behavior -->

## Detailed Description

<!--- Provide a detailed description of the issue. Include links to screenshots or videos if necessary -->

## Steps to reproduce

<!-- Try running the game with a default configuration as well. If that also causes issues, please point that out here
in the report. This might speed up the debugging process.-->

<!--- Provide a detailed step by step description how to reproduce this issue -->

1.
2.
3.
4.

## Possible solution

<!--- Optional, but suggest a fix/reason for the bug -->

## Context (Environment)

### Segatools version(s) affected

* <!--- Add one or multiple versions as a bullet list -->

### Game(s) and version(s) affected

* <!--- Add one or multiple game versions as a bullet list -->

### Log output

See attachment.
<!---
Provide FULL log output as a text file. Please do not guess which things are relevant or not. Without knowing, you
might leave out things that are relevant for the developers. You have to enable log output explicitly if not done
already. 

In the start.bat file, modify the command running inject to output stdout and stderr to a file, e.g. segatools.log by
appending ` > segatools.log 2>&1` to the end of the line, e.g. example for chunihook's start.bat:

```
inject -d -k chunihook.dll chuniApp.exe > segatools.log 2>&1
```

!!!!!!
REMOVE ANY SENSITIVE DATA LIKE DEVICE NAMES BY REPLACING IT THEM WITH

[REDACTED]

BEFORE UPLOADING/POSTING ANY LOG DATA!!!

Use the search and replace feature of any kind of text editor.
!!!!!!
-->

### Configuration files

See attachment.

<!--- Provide any configuration files that you used, e.g. segatools.ini. This file is located in
the same directory as inject.exe. 

!!!!!!
REMOVE ANY SENSITIVE DATA LIKE DEVICE NAMES BY REPLACING IT THEM WITH

[REDACTED]

BEFORE UPLOADING/POSTING ANY LOG DATA!!!

Use the search and replace feature of any kind of text editor.
!!!!!!
-->

### Command line arguments

<!--- Provide how you run the game from the command line, e.g. which start.bat you used and any
additional arguments that you provided to it. Also provide the contents of the start.bat you
used if you altered it. -->

### APIs used

* <!--- List all APIs and versions you used as a bullet list, e.g. chunihook 1.00 -->

### OS version

<!--- Provide the version of Windows you used with whatever update/build identifier -->

### Hardware specs

* CPU: <!--- Insert, e.g. Core i7 2600k 3.20ghz -->
* RAM: <!--- Insert, e.g. 16 GB -->
* GPU: <!--- Insert, e.g. Nvidia GeForce GTX 970, 4GB -->
* Controllers/IO: <!--- Insert, e.g. tasoller with custom firmware -->
